import java.net.*;
import java.io.*;

/**
 * Muestra como se puede realizar una peticion utilizando
 * el metodo POST. Realiza una busqueda en java.sun.com del argumento
 * que se le pase al programa
 *  
 */

public class EjemploUsoPost {

   public static void main(String[] args) {
      // El URL base
      //String baseURL = "http://onesearch.sun.com/search/onesearch/index.jsp";
		String baseURL = "http://localhost";
		
      String peticion = "";

      // Construimos la peticion
      peticion += URLEncoder.encode("qt") + "=" + URLEncoder.encode(args[0]);

      try {
         URL url = new URL(baseURL);

         // En este caso puesto que se que el protocolo a utilizar es 
         // HTTP no realizo ninguna comprobacion
			HttpURLConnection conexion = (HttpURLConnection)url.openConnection();
			
			// Se establecen propiedades de la conexion
			
			// Indicamos que vamos a leer y escribir
			conexion.setDoInput(true);
			conexion.setDoOutput(true);

			conexion.setRequestProperty("User-Agent","Mozilla/4.0 (compatible;MSIE 6.0; Windows NT 5.1)");
			
			// Indicamos que el metodo de peticion es POST
			conexion.setRequestMethod("POST");
						
			// OutputStream para escribir
			OutputStream salida = conexion.getOutputStream();
			
			// PrintStream para que sea como escribir
			
			PrintStream pout = new PrintStream(salida);
			
			pout.print( peticion );
			pout.close();
			
			// Para leer
			InputStream entrada = conexion.getInputStream();
			
			BufferedInputStream buf = new BufferedInputStream(entrada);
			
			int dato;
	
         while ((dato = buf.read()) != -1)
            System.out.print((char) dato);

         buf.close();

      } catch (MalformedURLException e) {
         e.printStackTrace();
      } catch (IOException e) {
         e.printStackTrace();
      }
   }
}
