import java.net.*;
import java.io.*;

/**
 * Clase que muestra el uso de la clase URL
 * USO:
 *    java MuestraURLConnection direccionURL
 */
public class MuestraURLConnection {

   public static void main(String[] args) {
		try {
			// Creacin de un objeto URL con el argumento pasado
			URL direccion = new URL(args[0]);
         
			// Obtencin de un objeto URLConnection
			URLConnection conexion = direccion.openConnection();
			
			// Conexin con el recurso remoto
			conexion.connect();
			
			// Obtencion de informacion
			String mime = conexion.getContentType();
			System.out.println("Content-type: " + mime);
			
			// Obtencion de la longitud
			int longitud = conexion.getContentLength();
			
			if (longitud != -1)
			   System.out.println("Content-length: " + longitud);
			
			// Obtencin del InputStream para leer
			InputStream entrada = conexion.getInputStream();
         
			// Usamos buffer para las operaciones de lectura
			BufferedInputStream buf = new BufferedInputStream(entrada);
         
			int dato;
         
			while ( (dato=buf.read())!=-1)
				System.out.print((char) dato);
 
         
         
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
