import java.net.*;
import java.io.*;

/**
 * Muestra como se puede realizar una peticion utilizando
 * el metodo GET. Realiza una busqueda en google de la palabra
 * pasada como argumento al programa y comenzando en la pagina
 * pasada como segundo argumento
 *  
 */
public class UsoURLGet {

   public static void main(String[] args) {
   	// El URL base
   	//String baseURL = "http://www.google.com/search";
		String baseURL = "http://localhost";
   	
   	// La busqueda comienza con el simbolo ?
   	String argumentos = "?";
   	
   	// Construimos los argumentos 
   	argumentos += URLEncoder.encode("q") +
   	              "=" + URLEncoder.encode(args[0]);
		
		argumentos += "&";
		
		argumentos += URLEncoder.encode("start") +
						  "=" + URLEncoder.encode(args[1]);
   	
   	// Concatenamos baseURL y argumentos
   	String finalURL = baseURL + argumentos;
   	
   	System.out.println(finalURL);
   	
      try {
         URL url = new URL(finalURL);

			// Obtencin de un objeto URLConnection
			URLConnection conexion = url.openConnection();

         // Puedo cambiar las propiedades de la peticion para 
         // modificar el comportamiento del servidor (!)
			conexion.setRequestProperty("User-Agent","Mozilla/4.0 (compatible;MSIE 6.0; Windows NT 5.1)");
         
         conexion.connect();
                 
         InputStream input = conexion.getInputStream();
         
         BufferedInputStream buf = new BufferedInputStream(input);
         
         int dato;
         
         while ((dato=buf.read()) != -1)
            System.out.print((char) dato);
         
         buf.close();
         
      } catch (MalformedURLException e) {
         e.printStackTrace();
      } catch (IOException e) {
         e.printStackTrace();
      }
   }
}
