import java.io.*;
import java.net.*;

/** Con esta clase se pueden tratar las diferentes conexiones
 * 
 */
class TrataConexion extends Thread {
   private Socket tcpSocket;

   TrataConexion(Socket soc) {
      tcpSocket = soc;
   }

   public void run() {
      try {
         /* Puesto que se desean leer enteros se envuelve el InputStream
          * con un DataInputStream
          */
         DataInputStream inFormateada =
            new DataInputStream(tcpSocket.getInputStream());

         // Se lee el numero de datos que va a enviar 
         int nDatos = inFormateada.readInt();

         // Se reserva espacio para ese numero de datos
         int[] datos = new int[nDatos];

         // Se leen los datos
         for (int i = 0; i < nDatos; i++)
            datos[i] = inFormateada.readInt();

         // Se muestran los datos
         for (int i = 0; i < nDatos; i++)
            System.out.println(datos[i]);

         //tcpSocket.close();   		
      } catch (IOException e) {
         e.printStackTrace();
      }
   }
}

public class ServidorTCP {

   public static void main(String[] args) {
      ServerSocket servidor;
      Socket tcpSocket;
      try {
         // Se crea un socket TCP que escucha en el puerto 2001
         servidor = new ServerSocket(2001);
         
         // Bucle infinito
         for(;;) {
         	// Para cada socket que se conecte se lanza un hilo
            tcpSocket = servidor.accept();
            new TrataConexion(tcpSocket).start();
            System.out.println("Tratando conexion...");
         }

      } catch (IOException e) {
         e.printStackTrace();
      }

   }
}