import java.net.*;
import java.io.*;

class Cohete extends Thread{
   private String maquina;
   private int puerto;
   
   public Cohete(String maq, String p){
      maquina = maq;
      puerto = Integer.parseInt(p);
   }

   public void run(){
      try{
         DatagramSocket ds = new DatagramSocket();
         ds.setSendBufferSize(1048576);
         
         
         DatagramPacket dp = new DatagramPacket(new byte[256],256,InetAddress.getByName(maquina),puerto);
         double vh = 0;
         double vv = 0;
         double al = 0;
         double temp = 22;
         
         
         int cont = 0;      
         
         while (cont<2000){
            ByteArrayOutputStream mem = new ByteArrayOutputStream();
            DataOutput out = new DataOutputStream(mem);
   
            // Indica que es el cohete
            out.writeChar('C');
            // Tiempo en milisegundos
            double tiempo = (double)cont*20;
            out.writeInt(cont);
            // Esto simula la medicion de las variables
            if (vh<30)
               vh = vh + 0.1*(tiempo/1000);
            else
               vh = vh + 0.0001*(tiempo/1000);            
            if (vv<100)
               vv = vv + 0.2*(tiempo/1000);
            else
               vv = vv + 0.0002*(tiempo/1000);
            
            al = vv*(tiempo/1000) + 2*(tiempo/1000)*(tiempo/1000);
            temp = temp - 0.001*(tiempo/1000);
            
            out.writeDouble(vh);
            out.writeDouble(vv);
            out.writeDouble(al);
            out.writeDouble(temp);
            
            dp.setData(mem.toByteArray());
            
            ds.send(dp);
            
            sleep(20);
            cont++;
            }
      }catch(Exception e){
          e.printStackTrace();
      }
                    
   
   }
   
   public static void main(String[] args){        
      new Cohete(args[0],args[1]).start();
   }
}