import java.net.*;
import java.io.*;

class EstacionRadar extends Thread{
   private String maquina;
   private int idEstacion;
   private int puerto;
   
   public EstacionRadar(int id,String maq, String p){
      idEstacion = id;
      maquina = maq;
      puerto = Integer.parseInt(p);
   }

   public void run(){
      try{
         DatagramSocket ds = new DatagramSocket();
         ds.setSendBufferSize(1048576);
         
         
         DatagramPacket dp = new DatagramPacket(new byte[256],256,InetAddress.getByName(maquina),puerto);
         double distancia = 1000 + 1000*Math.random();
         
         int cont = 0;      
         
         while (cont<400){
            ByteArrayOutputStream mem = new ByteArrayOutputStream();
            DataOutput out = new DataOutputStream(mem);
   
            // Indica que es una estacion de radar
            out.writeChar('E');
            out.writeInt(idEstacion);
            out.writeInt(cont);
            double tiempo = (double)cont*200;
            
            // Esto simula la medicion de la distancia
            distancia = distancia + 2*(tiempo/1000)*(tiempo/1000);
            out.writeDouble(distancia);
            
            dp.setData(mem.toByteArray());
            
            ds.send(dp);
            
            sleep(100);
            cont++;
         }        
         
      }catch(Exception e){
          e.printStackTrace();
      }
                    
   
   }
   
   public static void main(String[] args){   
      for (int i=0;i<20;i++)
         new EstacionRadar(i,args[0],args[1]).start();
   }
}