import java.net.*;
import java.io.*;

class Procesador{
   
   static double[][] estacionesRadar = new double[400][20];
   static double[] vh = new double[2000];
   static double[] vv = new double[2000];
   static double[] al = new double[2000];
   static double[] tem = new double[2000];
   

   public static void main(String[] args) throws Exception{
      
      DatagramSocket ds = new DatagramSocket(Integer.parseInt(args[0]));
      DatagramPacket dp = new DatagramPacket(new byte[256],256);
      
      ds.setReceiveBufferSize(1048576);
      ds.setSoTimeout(10000);
      
      boolean fin = false;
      
      while (!fin){
         try{
            ds.receive(dp);
            ByteArrayInputStream in = new ByteArrayInputStream(dp.getData());         
            DataInput din = new DataInputStream(in);
            
            char tipo = din.readChar();
            
            if (tipo=='E'){
               int numEstacion = din.readInt();
               int numDato= din.readInt();
               double distancia = din.readDouble();            
               estacionesRadar[numDato][numEstacion] = distancia;                     
            }else{
               int numDato = din.readInt();
               vh[numDato] = din.readDouble();
               vv[numDato] = din.readDouble();
               al[numDato] = din.readDouble();
               tem[numDato] = din.readDouble();
            }         
         }catch(SocketTimeoutException ee){
            
            PrintWriter pw = new PrintWriter(new BufferedWriter(new FileWriter("EstacionesRadar.txt")));
            String linea = "";
            for (int i=0;i<400;i++){
               for (int j=0;j<20;j++)
                  linea = linea + estacionesRadar[i][j] + " ";
               pw.println(linea);
               linea = "";
            } 
            
            pw.flush();
            pw.close();

            pw = new PrintWriter(new BufferedWriter(new FileWriter("Cohete.txt")));
            for (int i=0;i<2000;i++)
               pw.println(vh[i] + " " + vv[i] + " " + al[i] + " " + tem[i]);            
            pw.flush();
            pw.close();            
            
            fin = true;
            
         }       
 
       
      }
   
   }
 
}